Skip to content

Create a new connection under an existing identity source

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Create a new connection under an existing identity source, you can set the identity source icon, whether to support login only, etc.

Method name

ManagementClient.createExtIdpConn

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
fieldsobjectYes-Custom configuration information for the connection{"clientId":"clientId on the identity source","clientSecret":"clientSecret on the identity source"}
displayNamestringYes-Display name of the connection on the login pageLogin page
identifierstringYes-Identity source connection identifier60b49eb83fd80adb96f26e68
typestringyes-Identity source connection typead
extIdpIdstringyes-Identity source connection ID60b49eb83fd80adb96f26e68
loginOnlybooleanno-Whether to support login only
logostringno-Identity source iconhttps://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png
tenantIdstringno-Tenant ID60b49eb83fd80adb96f26e68

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.createExtIdpConn({
    extIdpId: "6229ffaxxxxxxxxcade3e3d9",
    type: Models.CreateExtIdpConnDto.type.AD,
    identifier: "60b49eb83xxxxxxb96f26e68",
    loginOnly: false,
    logo: "https://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png",
    displayName: "Login page",
    fields: {
      clientId: "clientId on the identity source",
      clientSecret: "clientSecret on the identity source",
    },
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: ExtIdpConnDetailSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ExtIdpConnDetailResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "id": "60b49eb83fd80adb96f26e68",
    "type": "default",
    "extIdpId": "6318061be13c0ce6a64093e5",
    "logo": "https://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png",
    "identifier": "60b49eb83fd80adb96f26e68",
    "displayName": "Login Page",
    "loginOnly": true,
    "associationMode": "challenge",
    "challengeBindingMethods": "[\"email-password\"]"
  }
}

Data Structure

ExtIdpConnDetail

NameTypeIs it requiredDescriptionSample value
idstringYesIdentity source connection id60b49eb83fd80adb96f26e68
typestringyesIdentity source connection typeoidc
extIdpIdstringyesIdentity source ID6318061be13c0ce6a64093e5
logostringyesIdentity source connection iconhttps://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png
identifierstringnoIdentity source connection identifier60b49eb83fd80adb96f26e68
displayNamestringnoDisplay name of the identity source connection on the login pageLoginPage
loginOnlybooleanyesWhether to support only logintrue
associationModestringyesAccount association modenone
challengeBindingMethodsarrayyesAccount binding method["email-password"]

Agent infrastructure for identity, memory, and web action.